i2o_block_release
Prev | I2O message devices | Next

## Name

i2o_block_release — Release the I2O block device

## Synopsis

`int i2o_block_release (` | struct inode * | inode,
| struct file * | file`)`;

## Arguments

`inode`

  inode for block device being released

`file`

  file to close

## Description

Unlock and unmount the media, and power down the device. Gets called if the block device is closed.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_block_open | Home | i2o_block_ioctl